Page MenuHomePhabricator

[mips][microMIPS] Fix opcodes of MFHC1 and MTHC1 instructions
ClosedPublic

Authored by jkolek on Nov 7 2014, 9:37 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

jkolek updated this revision to Diff 15929.Nov 7 2014, 9:37 AM
jkolek retitled this revision from to [mips][microMIPS] Fix opcodes of MFHC1 and MTHC1 instructions.
jkolek updated this object.
jkolek edited the test plan for this revision. (Show Details)
jkolek added reviewers: dsanders, sstankovic, vmedic.
jkolek added a subscriber: zoran.jovanovic.
sstankovic edited edge metadata.Nov 12 2014, 7:38 AM

LGTM, with two changes.

lib/Target/Mips/MicroMipsInstrFPU.td
127 ↗(On Diff #15929)

You can place AdditionalRequires on the previous line. It fits in 80 columns.

130 ↗(On Diff #15929)

Same here.

sstankovic accepted this revision.Nov 12 2014, 7:38 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Nov 12 2014, 7:38 AM
jkolek edited edge metadata.Nov 18 2014, 5:38 AM
jkolek added a subscriber: Unknown Object (MLST).
jkolek updated this revision to Diff 16335.Nov 18 2014, 7:21 AM
jkolek closed this revision.Nov 19 2014, 5:38 AM
jkolek updated this revision to Diff 16384.

Closed by commit rL222355 (authored by @jkolek).